Zvinyorwa zveAPI
Infrastructure ye Uchenjeri Husina Zvirambidzo
API ye-AI isina zvirambidzo: ma-model e-Shannon asingarambi uye asina filters, anoshanda pa-GPUs edu pachedu. Inoenderana ne-OpenAI ne-Anthropic — shandisa SDK yauri kushandisa kare, key imwe, streaming, tool calling ne-reasoning pa-endpoint imwe neimwe.
- 22 ma-model asina zvirambidzo
- 256K context window
- kubva pa $0.50/1M
- 3 ma-API anoenderana
- 3 ma-network: TLS, Tor, I2P
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-3",
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-3',
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-3",
Messages: []openai.ChatCompletionMessage{
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-3",
"messages": [
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' Ma-model nemitengo PA1M TOKENS
Limits, ids uye kuti mitengo inogadzirwa seiHosted open-weight models 262,144-token context pa-id imwe neimwe; input ne-output zvinobhadharwa zvakasiyana; id imwe neimwe inogamuchira zvinogamuchirwa ne-model yainotevedzera
- Uncensored
DeepSeek-V4-Pro-0813
3BIT-REAPDeepSeek · 1.6T MoE · 49B active
Model yeflagship-scale ye-deep reasoning nezvinobuda zvakareba.
Model idDeepSeek-V4-Pro-0813-3BIT-REAP- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $1.95 / $0.488 / $3.90
- Uncensored
GLM-5.2
3BIT-REAPZ.ai · 744B MoE · 40B active
Model yakasimba inoita zvese ine zvinobuda zvakapfuma mumitauro yakawanda.
Model idGLM-5.2-3BIT-REAP- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.73 / $0.183 / $2.34
- Uncensored
Kimi-K3
3BIT-REAPMoonshot AI · 2.8T MoE · 104B active
Model yepamusoro yakagadziridzwa mhinduro dzakadzama, dzine ruzivo rwakawanda.
Model idKimi-K3-3BIT-REAP- Context
- 256K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $3.83 / $0.958 / $19.12
- Uncensored
Nemotron3Ultra
3BIT-REAPNVIDIA · 550B hybrid Mamba-Attention MoE · 55B active
Model huru inoshanda zvakanaka ine reasoning yakasimba pa-dollar.
Model idNemotron3Ultra-3BIT-REAP- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.75 / $0.188 / $3.30
- Uncensored
MiniMax-M3
3BIT-REAPMiniMax · 428B MoE · 23B active · sparse attention
Model inokurumidza, yemutengo wakaderera yemabasa ane huwandu hwakawanda.
Model idMiniMax-M3-3BIT-REAP- Context
- 256K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
- Uncensored
DeepSeek-V4-Flash-0731
W4A16-AUTOROUND-REAPDeepSeek · 284B MoE · 13B active
Model yekukurumidza ye-DeepSeek inowirirana kumhanya nemhando.
Model idDeepSeek-V4-Flash-0731-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Kimi-K2.6
W4A16-AUTOROUND-REAPMoonshot AI · 1T MoE · 32B active
Model inokwanisa reasoning yezuva nezuva nekunyora madrafu.
Model idKimi-K2.6-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.78 / $0.195 / $3.67
- Uncensored
Laguna-S-2.1
W4A16-AUTOROUND-REAPPoolside · 118B MoE · 8B active
Model yemutengo wakaderera kwazvo yemabasa asina kurema.
Model idLaguna-S-2.1-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text (in)
- Structured output
- Hapana structured output
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
- Uncensored
inkling
W4A16-AUTOROUND-REAPThinking Machines · 975B MoE · 41B active
Model ye-creative ine manyorerwo ayo akasiyana.
Model idinkling-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON object
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $1.42 / $0.355 / $6.07
- Uncensored
MiMo-V2.5-Pro
W8A16Xiaomi · 1.02T MoE · 42B active · 8-bit
Pro model diki ye-structured output chaiyo.
Model idMiMo-V2.5-Pro-W8A16- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
- Uncensored
MiMo-V2.5
W8A16Xiaomi · 8-bit multimodal · W8A16
Model diki, inokurumidza yemabasa akareruka pamutengo mudiki.
Model idMiMo-V2.5-W8A16- Context
- 256K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Hy3
W8A16Tencent · 295B MoE · 21B active · 8-bit
Model yemutengo wakaderera yemhinduro pfupi dzehurukuro.
Model idHy3-W8A16- Context
- 256K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Mukati / yakachenzwa / kunze per 1M
- $0.50 / $0.125 / $2.00
Ma-model e-Shannon mutengo mumwe wakatarwa we-input ne-output
-
UncensoredShannon 1.6 Lite
Mhinduro dzinokurumidza uye dzinoshanda pamabasa emazuva ese
Model idshannon-1.6-lite- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.90
-
UncensoredShannon 1.6 Pro
Reasoning yepamusoro yezvinetso zvakaoma
Model idshannon-1.6-pro- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $7.80
-
UncensoredShannon 2 Lite
Shannon 2 Lite: think-draft-review pipeline inokurumidza ine reasoning trace inoonekwa. Chat yezuva nezuva, summaries ne-Q&A.
Model idshannon-2-lite- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.90
-
UncensoredShannon 2 Pro
Shannon 2 Pro: think-draft-review passes dzakadzama dze-analysis, kunyora zvakareba uye multi-step reasoning.
Model idshannon-2-pro- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $5.85
-
UncensoredShannon 3
Model ye-Shannon yechizvarwa chazvino ine reasoning inokurumidza pamutengo mudiki wakatarwa.
Model idshannon-3- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.35
-
UncensoredShannon 3 Pro
Tier ye-Shannon 3 ine unyanzvi hwepamusoro yemabasa akaoma, ane matanho mazhinji.
Model idshannon-3-pro- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.35
-
UncensoredShannon 3.1
Shannon 3 pa-hardware yedu pachedu, ichiita streaming nekumhanya kwakazara pasina rate gate.
Model idshannon-3.1- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.35
-
UncensoredShannon 3.1 Pro
Deep reasoning inomhanya zvizere ine background research pass yemibvunzo yakaoma.
Model idshannon-3.1-pro- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Mutengo / 1M tokens
- $3.35
-
UncensoredShannon 3.5
One streaming answer that thinks, searches, draws charts and diagrams and writes files inline.
Model idshannon-3.5- Context
- 192K
- Input
- Text + mufananidzo (in)
- Structured output
- JSON schema
- Tools
- Streaming
- Mutengo / 1M tokens
- $3.35
-
UncensoredShannon Coder 1
Nyanzvi ye-code ne-tools: agentic editing, mafaera marefu, ne-tool loops dzakasimba.
Model idshannon-coder-1- Context
- 128K
- Input
- Text (in)
- Structured output
- JSON schema
- Tools
- Reasoning
- Streaming
- Mutengo / 1M tokens
- $8.00
Tarisa zvinyorwa
- Kutanga nekukurumidza Gadzira key, taridzira SDK yako kuShannon uye utume request yekutanga.
- Ma-model nemitengo Model id imwe neimwe ine context window yayo, inputs nemutengo pa1M tokens.
- Kusimbisa Key imwe pa-endpoint imwe neimwe: Bearer header kana x-api-key.
- Kuyerera Server-sent events ine reasoning deltas; usage inouya mu-chunk yekupedzisira.
- Kudanwa kwemabasa Tsanangura tools, siya model ichidanidzira, uye uiongorore ne-tool_choice.
- Zvinobuda zvakarongeka Mhinduro sa JSON object kana kunoenderana ne-JSON schema yako.
- Reasoning effort Verenga reasoning stream; isa effort pa-hosted open-weight models.
- Kuchenza kwe-prompt Ma-hosted model anochenza otomatiki ma-prompt prefix anodzokororwa, pa25% yemutengo we-input.
- Responses API OpenAI Responses dialect pa-ma-model akafanana nekey imwechete.
- Anthropic Rambira uchishandisa Anthropic SDK ne-Messages code yako; chinja base URL chete.
- CLI tools dzekunyora code Claude Code ne-Codex CLI nge-Shannon sa model iri seri kwavo.
- Zvikanganiso Status codes, mhando dze-error nemufananidzo we-error body.
Wagadzirira kuvaka?
Free tier iri mu-account imwe neimwe. Key yako iri pakudzvanya kamwe.